# Uses of Enum Class
org.bukkit.DyeColor

Packages that use DyeColor
Package
Description
io.papermc.paper.entity
io.papermc.paper.event.entity
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.block
Classes used to manipulate the voxels in a `world`, including special states.
org.bukkit.block.banner
Classes relevant to banner blocks.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.
org.bukkit.inventory.meta
The interfaces used when manipulating extra data can can be stored inside `item stacks`.
org.bukkit.material
Classes that represents various voxel types and states.

## Uses of DyeColor in io.papermc.paper.entity

Methods in io.papermc.paper.entity that return DyeColor
Modifier and Type
Method
Description
`@NotNull DyeColor`
CollarColorable.`getCollarColor()`
Get the collar color of this entity
Methods in io.papermc.paper.entity with parameters of type DyeColor
Modifier and Type
Method
Description
`void`
CollarColorable.`setCollarColor(@NotNull DyeColor color)`
Set the collar color of this entity

## Uses of DyeColor in io.papermc.paper.event.entity

Methods in io.papermc.paper.event.entity that return DyeColor
Modifier and Type
Method
Description
`@NotNull DyeColor`
EntityDyeEvent.`getColor()`
Gets the DyeColor the entity is being dyed
Methods in io.papermc.paper.event.entity with parameters of type DyeColor
Modifier and Type
Method
Description
`void`
EntityDyeEvent.`setColor(@NotNull DyeColor dyeColor)`
Sets the DyeColor the entity is being dyed
Constructors in io.papermc.paper.event.entity with parameters of type DyeColor
Modifier
Constructor
Description
``
`EntityDyeEvent(@NotNull Entity entity, @NotNull DyeColor dyeColor, @Nullable Player player)`

## Uses of DyeColor in org.bukkit

Methods in org.bukkit that return DyeColor
Modifier and Type
Method
Description
`static @Nullable DyeColor`
DyeColor.`getByColor(@NotNull Color color)`
Gets the DyeColor with the given color value.
`static @Nullable DyeColor`
DyeColor.`getByDyeData(byte data)`
Deprecated.
Magic value
`static @Nullable DyeColor`
DyeColor.`getByFireworkColor(@NotNull Color color)`
Gets the DyeColor with the given firework color value.
`static @Nullable DyeColor`
DyeColor.`getByWoolData(byte data)`
Deprecated.
Magic value
`static @NotNull DyeColor`
DyeColor.`legacyValueOf(@Nullable String name)`
Deprecated.
legacy use only
`static DyeColor`
DyeColor.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DyeColor[]`
DyeColor.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit with parameters of type DyeColor
Modifier and Type
Method
Description
`@NotNull Color`
Color.`mixDyes(@NotNull DyeColor... colors)`
Creates a new color with its RGB components changed as if it was dyed with the colors passed in, replicating vanilla workbench dyeing

## Uses of DyeColor in org.bukkit.block

Methods in org.bukkit.block that return DyeColor
Modifier and Type
Method
Description
`@NotNull DyeColor`
Banner.`getBaseColor()`
Returns the base color for this banner
`DyeColor`
Bed.`getColor()`
`@Nullable DyeColor`
ShulkerBox.`getColor()`
Get the `DyeColor` corresponding to this ShulkerBox
Methods in org.bukkit.block with parameters of type DyeColor
Modifier and Type
Method
Description
`void`
Banner.`setBaseColor(@NotNull DyeColor color)`
Sets the base color for this banner.
`void`
Bed.`setColor(DyeColor color)`
Deprecated, for removal: This API element is subject to removal in a future version.

## Uses of DyeColor in org.bukkit.block.banner

Methods in org.bukkit.block.banner that return DyeColor
Modifier and Type
Method
Description
`@NotNull DyeColor`
Pattern.`getColor()`
Returns the color of the pattern
Constructors in org.bukkit.block.banner with parameters of type DyeColor
Modifier
Constructor
Description
``
`Pattern(@NotNull DyeColor color, @NotNull PatternType pattern)`
Creates a new pattern from the specified color and pattern type

## Uses of DyeColor in org.bukkit.entity

Methods in org.bukkit.entity that return DyeColor
Modifier and Type
Method
Description
`@NotNull DyeColor`
TropicalFish.`getBodyColor()`
Gets the color of the fish's body.
`@NotNull DyeColor`
Cat.`getCollarColor()`
Get the collar color of this cat
`@NotNull DyeColor`
Wolf.`getCollarColor()`
Get the collar color of this wolf
`@NotNull DyeColor`
TropicalFish.`getPatternColor()`
Gets the color of the fish's pattern.
Methods in org.bukkit.entity with parameters of type DyeColor
Modifier and Type
Method
Description
`void`
Player.`sendSignChange(@NotNull Location loc, @Nullable String[] lines, @NotNull DyeColor dyeColor)`
Deprecated.
in favour of `Player.sendSignChange(org.bukkit.Location, java.util.List, org.bukkit.DyeColor)`
`void`
Player.`sendSignChange(@NotNull Location loc, @Nullable String[] lines, @NotNull DyeColor dyeColor, boolean hasGlowingText)`
Deprecated.
Deprecated in favour of `Player.sendSignChange(Location, java.util.List, DyeColor, boolean)`
`default void`
Player.`sendSignChange(@NotNull Location loc, List<Component> lines, @NotNull DyeColor dyeColor)`
Send a sign change.
`void`
Player.`sendSignChange(@NotNull Location loc, List<Component> lines, @NotNull DyeColor dyeColor, boolean hasGlowingText)`
Send a sign change.
`void`
TropicalFish.`setBodyColor(@NotNull DyeColor color)`
Sets the color of the fish's body
`void`
Cat.`setCollarColor(@NotNull DyeColor color)`
Set the collar color of this cat
`void`
Wolf.`setCollarColor(@NotNull DyeColor color)`
Set the collar color of this wolf
`void`
TropicalFish.`setPatternColor(@NotNull DyeColor color)`
Sets the color of the fish's pattern

## Uses of DyeColor in org.bukkit.event.entity

Constructors in org.bukkit.event.entity with parameters of type DyeColor
Modifier
Constructor
Description
``
`SheepDyeWoolEvent(@NotNull Sheep sheep, @NotNull DyeColor color)`
Deprecated.
``
`SheepDyeWoolEvent(@NotNull Sheep sheep, @NotNull DyeColor color, @Nullable Player player)`

## Uses of DyeColor in org.bukkit.inventory.meta

Methods in org.bukkit.inventory.meta that return DyeColor
Modifier and Type
Method
Description
`@Nullable DyeColor`
BannerMeta.`getBaseColor()`
Deprecated.
banner color is now stored as the data value, not meta.
`@NotNull DyeColor`
TropicalFishBucketMeta.`getBodyColor()`
Gets the color of the fish's body.
`@NotNull DyeColor`
TropicalFishBucketMeta.`getPatternColor()`
Gets the color of the fish's pattern.
Methods in org.bukkit.inventory.meta with parameters of type DyeColor
Modifier and Type
Method
Description
`void`
BannerMeta.`setBaseColor(@Nullable DyeColor color)`
Deprecated.
banner color is now stored as the data value, not meta.
`void`
TropicalFishBucketMeta.`setBodyColor(@NotNull DyeColor color)`
Sets the color of the fish's body.
`void`
TropicalFishBucketMeta.`setPatternColor(@NotNull DyeColor color)`
Sets the color of the fish's pattern.

## Uses of DyeColor in org.bukkit.material

Methods in org.bukkit.material that return DyeColor
Modifier and Type
Method
Description
`@Nullable DyeColor`
Colorable.`getColor()`
Gets the color of this object.
`DyeColor`
Dye.`getColor()`
Deprecated.
Gets the current color of this dye
`DyeColor`
Wool.`getColor()`
Deprecated.
Gets the current color of this dye
Methods in org.bukkit.material with parameters of type DyeColor
Modifier and Type
Method
Description
`void`
Colorable.`setColor(DyeColor color)`
Sets the color of this object to the specified DyeColor.
`void`
Dye.`setColor(DyeColor color)`
Deprecated.
Sets the color of this dye
`void`
Wool.`setColor(DyeColor color)`
Deprecated.
Sets the color of this dye
Constructors in org.bukkit.material with parameters of type DyeColor
Modifier
Constructor
Description
``
`Dye(DyeColor color)`
Deprecated.
``
`Wool(DyeColor color)`
Deprecated.